var intent = Ti.Android.createIntent({
    flags : Ti.Android.FLAG_ACTIVITY_CLEAR_TOP | Ti.Android.FLAG_ACTIVITY_NEW_TASK,
    className : 'com.appcelerator.testapp.TestappActivity'
});
intent.addCategory(Ti.Android.CATEGORY_LAUNCHER);

var pending = Titanium.Android.createPendingIntent({
    intent: intent,
    flags: Titanium.Android.FLAG_UPDATE_CURRENT
});

// create a random id
var nId = parseInt(10000 * Math.random());

// Create the notification
var notification = Titanium.Android.createNotification({
    contentTitle: 'Notification #' + nId,
    contentText : 'Click to return to the application.',
    contentIntent: pending
});

// Send the notification.
Ti.Android.NotificationManager.notify(nId, notification);